import { Story } from '@storybook/react';
import { BoxProps } from '@mui/material';
import { Box } from './Box';
declare const _default: {
    title: string;
    component: typeof Box;
    argTypes: {
        clone: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        component: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<BoxProps<"div", {}>>;
export declare const H1: Story<BoxProps<"div", {}>>;
