import { Story } from '@storybook/react';
import { Menu } from './Menu';
import { MenuProps } from '@mui/material';
declare const _default: {
    title: string;
    component: typeof Menu;
    argTypes: {
        anchorEl: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        autoFocus: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        children: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        classes: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        disableAutoFocusItem: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        MenuListProps: {
            control: {
                type: string;
            };
            defaultValue: {};
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: {};
                };
            };
        };
        onClose: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        open: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        PopoverClasses: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        transitionDuration: {
            control: {
                type: string;
            };
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        TransitionProps: {
            control: {
                type: string;
            };
            defaultValue: {};
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: {};
                };
            };
        };
        variant: {
            control: {
                type: string;
            };
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<MenuProps>;
export declare const MaxHeight: Story<MenuProps>;
