import { Story } from '@storybook/react';
import { DrawerProps } from '@mui/material';
import { Drawer } from './Drawer';
declare const _default: {
    title: string;
    component: typeof Drawer;
    argTypes: {
        anchor: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        children: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        classes: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        elevation: {
            control: {
                type: string;
            };
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        ModalProps: {
            control: {
                type: string;
            };
            defaultValue: {};
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: {};
                };
            };
        };
        onClose: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        open: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        PaperProps: {
            control: {
                type: string;
            };
            defaultValue: {};
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: {};
                };
            };
        };
        SlideProps: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        variant: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export interface DrawerState {
    top: boolean;
    left: boolean;
    bottom: boolean;
    right: boolean;
}
export declare const Default: Story<DrawerProps>;
export declare const PersistentDrawer: Story<DrawerProps>;
